Retrieve Document Request API

Retrieves details about a document request initiated by BlueSnap underwriting.

BlueSnap might require additional documentation to verify the information submitted in the vendor application. To notify you about the document request, BlueSnap sends an APPLICATION_DOCUMENT_REQUEST webhook that includes the case_id and vendor_id, which you can use to retrieve details about the document request.

Endpoint

https://platform.bluesnap.com/services/2/merchants/verification/documents?caseid={caseid}&vendorid={vendorId}

Request Content

This endpoint does not accept a request body. Enter the relevant IDs as query string parameters.

Query String Parameters

ParameterRequiredDescription
caseidrequiredUnique identifier that BlueSnap assigned to this document request. This is the value sent in the case_id parameter in the APPLICATION_DOCUMENT_REQUEST webhook.
vendoridrequiredUnique identifier for the vendor's test account. This is the value sent in the vendor_id parameter in the APPLICATION_DOCUMENT_REQUEST webhook.

Response

If successful, the response HTTP status code is 200 OK. The response contains a documentation array containing the below object(s) and includes real-time details.

ParameterTypeDetails
statusstringThis tells you whether BlueSnap has received anything for this document type.
  • If it says “Requested”, it means BlueSnap hasn’t received anything yet.
  • If it says “Received”, it means that BlueSnap has received at least one file for this docType request.
docUnderwriterNotesstringIf this is populated, it will contain notes written by the underwriter reviewing the application.
docTypestring

The categories of documentation that may be requested.

Possible Values:
  • bankDocument
  • businessArticle
  • businessTaxId
  • companyRepresentativeId
docReceivedstringThis value reflects how many files have been received for the docType in question.
docLimitstringThis value reflects how many total files can be passed in for the docType in question.
docGenericDescriptionstringThis is populated with the generic description of the docType in question

Examples

Request

curl -v -X GET https://ws.bluesnap.com/services/2/vendors/verification/documents?caseid=500UO000002Bt9lYAC&vendorid=1349418 \
     -H 'Content-Type: application/json' \
     -H 'Accept: application/json' \ 
     -H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ='

Response

{
    "caseStatus": "Document request pending",
    "caseId": "5005a00002kAF6sAAG",
    "vendorId": " 1350200",
    "documentation": [
        {
            "status": "Requested",
            "docUnderwriterNotes": null,
            "docType": "bankDocument",
            "docsReceived": null,
            "docLimit": 2,
            "docGenericDescription": "A voided check from your financial institution, or a bank letter confirming Legal Entity association with the bank number provided. Temporary checks will not be accepted, and bank letters must be on bank letterhead."
        }
    ]
}